Bug 7346 - 'perl translate install' creates template directories for invalid languages
Summary: 'perl translate install' creates template directories for invalid languages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: 3.6
Hardware: All Linux
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Frédéric Demians
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-11 10:23 UTC by Marc Balmer
Modified: 2013-12-05 19:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (931 bytes, patch)
2011-12-11 10:56 UTC, Frédéric Demians
Details | Diff | Splinter Review
signed off patch (950 bytes, patch)
2011-12-11 16:02 UTC, Marc Balmer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Balmer 2011-12-11 10:23:59 UTC
When you (e.g. accidentally) try to install a non-existing or invalid language, the translate Perl script will bail out with an error message.  But it has already created the language directories under /usr/share/koha/opac/htdocs/opac-tmpl/prog and /usr/share/koha/intranet/htdocs/intranet-tmpl/prog and the (invalid) language code is presented as a choice in the admin I18N/L10N interface.

To very, enter perl translate install de-XY.
Comment 1 Frédéric Demians 2011-12-11 10:56:49 UTC Comment hidden (obsolete)
Comment 2 Marc Balmer 2011-12-11 11:20:13 UTC
(In reply to comment #1)
> Created attachment 6705 [details] [review]
> Proposed patch

That patch works fine.  I am now trying to sign it off using git, which is a whole different adventure...
Comment 3 Marc Balmer 2011-12-11 16:02:01 UTC
Created attachment 6708 [details] [review]
signed off patch

This is signed off by me patch.
Comment 4 Paul Poulain 2011-12-15 17:39:18 UTC
QA comment: tiny patch, usefull, works

passed QA

patch pushed, please test


Welcome Marc Balmer, you're 167th

Marc: you should not have signed-off this patch by yourself. It's a tiny one, works fine, so i'm pushing it. But usually, the sign-off must not be made by the author.
Comment 5 Marc Balmer 2011-12-15 17:42:49 UTC
(In reply to comment #4)
> QA comment: tiny patch, usefull, works
> 
> passed QA
> 
> patch pushed, please test
> 
> 
> Welcome Marc Balmer, you're 167th
> 
> Marc: you should not have signed-off this patch by yourself. It's a tiny one,
> works fine, so i'm pushing it. But usually, the sign-off must not be made by
> the author.

credit whom credit is due:  I reported the problem, it was Fréderic Demians who suggested the patch, I did test it and thus signed it off.
Comment 6 Paul Poulain 2011-12-16 09:17:52 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > QA comment: tiny patch, usefull, works
> > 
> > passed QA
> > 
> > patch pushed, please test
> > 
> > 
> > Welcome Marc Balmer, you're 167th
> > 
> > Marc: you should not have signed-off this patch by yourself. It's a tiny one,
> > works fine, so i'm pushing it. But usually, the sign-off must not be made by
> > the author.
> 
> credit whom credit is due:  I reported the problem, it was Fréderic Demians who
> suggested the patch, I did test it and thus signed it off.

mmm... right looking at obsolete attachments.
But you did something locally that resulted in Frédéric patch being now your's:
From: Marc Balmer <marc@msys.ch>

If you sign off another patch (I encourage you to do so !), please catch one of us on IRC to try to understand what you've made that can explain this author change, usual git command don't change author !
Comment 7 Jared Camins-Esakov 2012-05-23 12:28:53 UTC
Included in the 3.6 branch prior to 3.6.4.